*,*::before,*::after{
    box-sizing: border-box;
}

:root{
    --col-bg: rgb(250, 247, 242);
    /*--col-bg: rgb(255,216,195);*/
    --col-akzent1: rgb(0,152,152);
    --col-akzent4: rgb(0,121,121);
    --col-akzent5: rgb(162,222,227);
    --col-fg: rgb(50,80,80);
    --bar-width: 60px;
    --bar-height: 8px;
    --hamburger-gap: 6px;
    --foreground: var(--col-fg);
    --background: var(--col-bg);
    --hamburger-margin: 8px;
    --animation-timing: 200ms ease-in-out;
    --hamburger-heigth: calc(var(--bar-height) * 3 + var(--hamburger-gap) * 2 );
    --x-width: calc(var(--hamburger-heigth) * 1.41421356237 );
}
.hamburger-menu {
    
    display: flex;
    flex-direction: column;
    gap: var(--hamburger-gap);
    width: max-content;
    position: fixed;
    top: var(--hamburger-margin);
    right: var(--hamburger-margin);
    z-index: 2;
    cursor: pointer;
}

.hamburger-menu:has(input:checked) {
    --foreground: var(--col-fg);
    --background: var(--col-fg);
}

.hamburger-menu:has(input:focus-visible)::before,
.hamburger-menu:has(input:focus-visible)::after,
.hamburger-menu input:focus-visible{
    border: 1px solid var(--background);
    box-shadow: 0 0 0 1px var(--foreground);
}

.hamburger-menu::before,
.hamburger-menu::after,
.hamburger-menu input{
    content: "";
    width: var(--bar-width);
    height: var(--bar-height);
    background-color: var(--foreground);
    border-radius: 9999px;
    transform-origin: left center;
    transition: opacity var(--animation-timing), width var(--animation-timing),
        rotate var(--animation-timing), translate var(--animation-timing),
        background-color var(--animation-timing);
}

.hamburger-menu input {
    appearance: none;
    padding: 0;
    margin: 0;
    outline: none;
    pointer-events: none;
}

.hamburger-menu:has(input:checked)::before {
    rotate: 45deg;
    width: var(--x-width);
    translate: 0 calc(var(--bar-height) / -2 );
}

.hamburger-menu:has(input:checked)::after {
    rotate: -45deg;
    width: var(--x-width);
    translate: 0 calc(var(--bar-height) / 2 );
}

.hamburger-menu input:checked {
    opacity: 0;
    width: 0;
}

.sidebar {
    position:fixed;
    top: 0;
    right: 0;
    background-color: var(--col-bg);
    transition: translate var(--animation-timing);
    translate: 100%;
    padding: 0.5rem 1rem;
    padding-top: calc(var(--hamburger-heigth) + var(--hamburger-margin) + 1rem);
    
    max-width: 12rem;
    min-height: 100vh;
    
}

.hamburger-menu:has(input:checked) + .sidebar {
    translate: 0;
}

body{
    background-color: var(--col-bg);
    background-image: url(img/schlangenhaut8.png);
    background-repeat: repeat;
    background-size: 87px;
    display: flex;
	justify-content: center;
    font-family: sans-serif, Arial, Helvetica;
    padding: 0;
    margin: 0;
}
p{
    letter-spacing: 0.05rem;
    line-height: 160%;
    text-align: justify;
}
ul{
    margin-top:1rem;
    margin-bottom:1rem;
}
li{
    margin-top:0.5rem;
    margin-bottom:1rem;
    line-height:120%;
    letter-spacing: 0.04rem;
}

.wrapper{
    max-width: 60rem;
    
    min-height:100vh;
    
    padding-left: 3rem;
    padding-right: 3rem;
    margin-left: 1rem;
    margin-right: 1rem;
    background-color: white;
    color: var(--col-fg);
}


nav{
    /*display: flex;
    flex-direction: row;
    padding: 0.2rem;
    justify-content:space-around;*/
    div {
        padding: 0.5rem;
    }
    
    a:link {
        text-decoration:none;
        color: inherit;
    }
    
    
    a:visited{
        color: var(--col-akzent5);
    }
    a:hover{
        text-decoration: underline;
    }
    a:active{
        color: var(--col-akzent4);
    }
}

#navtitle{
    font-weight: bolder;
}

.title {
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-content:flex-start;
    align-items: flex-start;
    justify-items: flex-start;
}

main{
    display: flex;
    flex-direction: column;
}


#toplogo{
    padding-top: 2rem;
    width: 50vw;
    max-width: 500px;
}

.maintitle{
    display: flex;
    flex-direction: column;
    

}

.maintitle h1{
    text-transform: lowercase;
    letter-spacing: 0.4rem;
    font-size: 4rem;
    margin-top: 2rem;
    margin-bottom: 0;
    padding:0;
    color: var(--col-akzent5)

}
.maintitle div{
    font-style: italic;
    letter-spacing: 0.1rem;
    word-spacing: 0.4rem;
}
#leistungen{
   
    width: 100%;
    align-self:auto;
    display: flex;
    flex-direction: column;
    
    
   
    
    padding:0;
    flex: 1 1;
    h3{
        margin-top: 1rem;
        grid-area: subtitle;
        justify-self: first baseline;
    }
}

#leistungen >li{
        display:grid;
        justify-content:center;
        align-content: center;
        justify-items: center;
        align-items:center;
        grid-template-areas: 
        'icon subtitle'
        'icon text'
        'icon link';
        min-width: 100%;
        
        
        
       
        
        /*padding: 1.5rem;
        margin-top: 1rem;
        margin-right: 0rem;
        align-items: center;*/
        justify-content:flex-start;
        justify-items: flex-start;
        margin-left:0;
        
        
}
.infotext{
    grid-area: text;
}

.icon {
    grid-area: icon;
    height: auto;
    max-width: 125px;
    width: 20vw;
    box-shadow: 10px 10px 5px grey;
    padding: 10px;
    margin-right: 2vw;
    margin-top: 1rem;
    border: thin solid var(--col-akzent1);
    align-self:baseline;
}

.linkLeistung{
    text-decoration: none;
    font-size: small;
    border-radius: 4px 4px;
    color: white;
    background-color: var(--col-akzent5);
    border: thin solid var(--col-akzent1);
    padding: 0.4rem;
    margin-top: 1rem;
    width: auto;
    text-align: center;
    grid-area: link;
}

.beautyliste{
    display:flex;
    flex-direction: row;
    flex-wrap:nowrap;
}
.big-icon {
    align-self:baseline;
    margin-top: 1rem;
    max-width: 40vw;
}

.kontakt{
    display: flex;
    flex-direction: row;
}

.kontakt{
    
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
    flex: 1 1 10%;
    align-self: center;
    /*grid-template-columns: repeat(auto-fill, minmax(12rem, 20rem));*/
    padding:0;
    gap: 1rem;
    justify-content:space-evenly;
    align-content: center;
    /*align-items: stretch;
    align-self:stretch;*/
}

.kontakt li{
        
    display:flex;
    flex-direction: row;
    flex: 1 1 10%;
    /*align-items: stretch;
    justify-items: flex-start;*/
    
    
    
    /**box-shadow: 10px 10px 5px grey ;**/
    padding: 0.5rem;
    margin-top: 0.3rem;
    
    align-items:center;
} 
.k-icon {
    height: 60px;
    
    padding: 0.5rem;
    padding-right: 1rem;
    grid-area: icon;
    justify-self:flex-start;
    align-self: center;
}
.impressum {
    text-align: right;
    a{
        text-decoration: none;
        color: var(--col-fg);
    }
    a:visited{
        color: var(--col-akzent5);
    }
    a:hover{
        text-decoration: underline;
    }
    a:active{
        color: var(--col-akzent4);
    }
}

@media (min-width: 768px) {
    
    html {
        font-size: 16px; /* 12px */ 
    }

    .sidebar {
        translate: 0%;
        background-color: white;
        max-width: auto;
        min-width: 100%;
        min-height: auto;
        height: auto;
        position:relative;
        display: flex;
        flex-direction: row;
        justify-content:space-around; /*space-around*/
        align-items: center;
        margin: 1rem 0 0 0;
        :not(:first-child){
            border-left: 2px solid var(--col-akzent5);
            padding-left: 5px;
        }
        /**margin-bottom: 0.5rem;*/
        
        
        
        transition: translate var(--animation-timing);
        
        padding: 0.2rem 0rem;
        
        
        
        
        
        div{
            border-left: 2px solid var(--col-bg);
            padding: 0rem;
            
            flex:content;
        }

    
    }
    .hamburger-menu{
        display:none;
    }
}

@media (max-width: 600px){
    #leistungen >li{
        grid-template-areas: 
        'icon subtitle'
        'text text'
        'link link';

    }
}

@media (max-width: 800px){
    .beautyliste{
        display:flex;
        flex-direction: row;
        flex-wrap:wrap;
        justify-content: center;
    }
    
}